## org.jfree.xml.util
Class MultiplexMappingDefinition

    java.lang.Object
      org.jfree.xml.util.MultiplexMappingDefinition

    public class MultiplexMappingDefinition

extends java.lang.Object

Maps a class to ...

Constructor Summary
`MultiplexMappingDefinition(java.lang.Class baseClass, java.lang.String attributeName, MultiplexMappingEntry[] entries)` Creates a new mapping definition.

Method Summary
`java.lang.String` `getAttributeName()` Returns the attribute name.
`java.lang.Class` `getBaseClass()` Returns the class.
`MultiplexMappingEntry` `getEntryForClass(java.lang.String clazz)` Returns a mapping entry for a class.
`MultiplexMappingEntry` `getEntryForType(java.lang.String type)` Returns a mapping entry for a type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiplexMappingDefinition

    public MultiplexMappingDefinition(java.lang.Class baseClass,
                                      java.lang.String attributeName,
                                      MultiplexMappingEntry[] entries)

  Creates a new mapping definition.

  Parameters:
    `baseClass` - the class.
    `attributeName` - the attribute name.
    `entries` - the entries.

Method Detail

### getAttributeName

    public java.lang.String getAttributeName()

  Returns the attribute name.

  Returns:
    The attribute name.

### getBaseClass

    public java.lang.Class getBaseClass()

  Returns the class.

  Returns:
    The class.

### getEntryForType

    public MultiplexMappingEntry getEntryForType(java.lang.String type)

  Returns a mapping entry for a type.

  Parameters:
    `type` - the type.
  Returns:
    The mapping entry.

### getEntryForClass

    public MultiplexMappingEntry getEntryForClass(java.lang.String clazz)

  Returns a mapping entry for a class.

  Parameters:
    `clazz` - the class.
  Returns:
    The mapping entry.